Linux  R2.6.5-7.282-sn2 FORTRAN90/SX         Rev.360        Tue Oct 11 12:35:26 2011
FILE NAME: initialdata_yamasaki1983.f90
PROGRAM NAME: initialdata_yamasaki1983
DIAGNOSTIC LIST

  LINE  LEVEL( NO.): DIAGNOSTIC MESSAGE

    98  opt  (  11): Fused array assignments. :line 98 - 99
    98  vec  (   4): Vectorized array expression.
   100  vec  (   4): Vectorized array expression.
   116  opt  (  11): Fused array assignments. :line 116 - 127
   116  vec  (   4): Vectorized array expression.
   138  opt  (  11): Fused array assignments. :line 138 - 147
   138  vec  (   4): Vectorized array expression.
   165  vec  (   1): Vectorized loop.
   187  vec  (   1): Vectorized loop.
   206  vec  (   4): Vectorized array expression.
   216  vec  (   3): Unvectorized loop.
Linux  R2.6.5-7.282-sn2 FORTRAN90/SX         Rev.360        Tue Oct 11 12:35:26 2011
FILE NAME: initialdata_yamasaki1983.f90
PROGRAM NAME: initialdata_yamasaki1983
TRANSFORMATION LIST

  LINE                   FORTRAN STATEMENT

     1  != Module BasicEnvInit
     2  !
     3  ! Authors::   SUGIYAMA Koichiro, ODAKA Masatsugu
     4  ! Version::   $Id: initialdata_yamasaki1983.f90,v 1.7 2011-06-25 14:47:29 sugiyama Exp $
     5  ! Tag Name::  $Name: arare5-20111010 $
     6  ! Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
     7  ! License::   See COPYRIGHT[link:../../COPYRIGHT]
     8  !
     9  !== Overview
    10  !
    11  !ǥեȤδܾꤹ뤿ѿȷ⥸塼
    12  !   * BasicEnvFile_init: ܾͤ netCDF ե뤫
    13  !   * BasicEnvCalc_Init: ܾξ Namelist ͤ׻
    14  !
    15  !== Error Handling
    16  !
    17  !== Known Bugs
    18  !
    19  !== Note
    20  !
    21  !== Future Plans
    22  !
    23  module initialdata_yamasaki1983
    24    !
    25    !ǥեȤδܾꤹ뤿Υ֥롼.
    26    !ܾ׻, BasicSet ⥸塼ͤ.
    27    !
    28    !ѥν꤫, ܾ(hogeBasicZ ѿ)
    29    !׻ʬBasicSet ⥸塼뤫ڤΥƤ.
    30    !ECCM Ϥ, BasicSet Τ˰¸뤬 hogeBasicZ  use ʤ
    31    !֥롼Ѥ뤿Ǥ.
    32    !
    33  
    34    !⥸塼ɤ߹
    35    use dc_types,   only: STRING, DP
    36    use dc_message, only: MessageNotify
    37    use mpi_wrapper,only: myrank
    38    use gridset,  only: kmin,          &! Z β
    39      &                 kmax,          &! Z ξ
    40      &                 nz,            &! Z ο
    41      &                 ncmax           !Žʬο
    42    use axesset, only:  z_Z, z_dz            !顼ʻǤι
    43    use constants, only:GasRDry,       &!ʬ갵Ǯ
    44      &                 TempSfc,       &!ɽ̲
    45      &                 PressSfc,      &!ɽ̰
    46      &                 PressBasis,    &!ɽ̰
    47      &                 Grav            !
    48    use chemcalc, only: SvapPress       !˰¾
    49    use composition
    50  
    51  
    52    !ۤηػ
    53    implicit none
    54  
    55    !ǥեȤ private
    56    private
    57  
    58    !
    59    public initialdata_yamasaki1983_basic
    60  
    61  contains
    62  
    63  !!------------------------------------------------------------------------------!!!
    64    subroutine initialdata_yamasaki1983_basic( z_Temp, z_Press, zf_MolFr )
    65      !
    66      !== 
    67      !  * Yamasaki, 1983 β٤м٤δ¬ͤǴܾ
    68      !    * ٤δܾ
    69      !      * ¬ǡNetCDFե벽Τͤɤ߹
    70      !        * ɤ߹֤ͤƲ٤δܾ
    71      !    * ٤δܾ
    72      !      * м٤ subroutine HUM ǺѤ
    73      !        * Ǥм٤ѴƼ٤δܾ
    74      !    * δܾ
    75      !      * ʬȴʬʬ̺θſ尵ʿդ׻
    76      !
    77  
    78      implicit none
    79  
    80      integer, parameter :: mmin = 1
    81      integer, parameter :: mmax1 = 37
    82      integer, parameter :: mmax2 = 31
    83      integer :: ID = 6    ! ʪֹ
    84  
    85      real(DP), intent(out) :: z_Press(kmin:kmax)!
    86      real(DP), intent(out) :: z_Temp(kmin:kmax) !
    87      real(DP), intent(out) :: zf_MolFr(kmin:kmax, 1:ncmax) !
    88      real(DP)              :: Ob_Alt1(mmin:mmax1)    !¬ǡб
    89      real(DP)              :: Ob_Alt2(mmin:mmax2)    !¬ǡб
    90      real(DP)              :: Ob_Temp(mmin:mmax1)    !NetCDF ɤ߹δ¬(1)
    91      real(DP)              :: Ob_Hum(mmin:mmax2)     !м٤δ¬(1)
    92  
    93      real(DP)              :: z_Hum(kmin:kmax)        !м٤δܾ(%)
    94      integer               :: k, m
    95  
    96      ! 
    97      !
    98      z_Press  = 0.0d0
    99      z_Temp   = 0.0d0
   100      zf_MolFr = 0.0d0
     .  !CDIR    NODEP                                                          
     .  !CDIR NOASSUME                                                          
     .        do t483 = 1, ncmax*(kmax + 1 - kmin)                              
     .           zf_molfr(t31+t483-1,1) = 0.0000000000000000e+000               
     .        end do                                                            
   101  
   102      ! ǧ. ɽ̲١ϤꤹΤ̥⥸塼ʤΤ.
   103      !
   104      if (myrank == 0) then
   105        if (     PressBasis /= 1010.0d2  &
   106          & .OR. PressSfc   /= 1010.0d2  &
   107          & .OR. TempSfc    /= 302.0d0  ) then
   108  
   109          call MessageNotify( "E", "initaldata_yamasaki1983_init", &
   110            & "Constants are wrong. please PressSfc = 1.01d5, TempSfc = 302.0d0")
   111        end if
   112      end if
   113  
   114      ! ¬ǡ.
   115      !
   116      Ob_Alt1 = (/ &
   117        & 0.05d3, 0.16d3, 0.29d3, 0.44d3, 0.61d3,      &
   118        & 0.80d3, 1.02d3, 1.28d3, 1.58d3, 1.95d3,      &
   119        & 2.37d3, 2.82d3, 3.33d3, 3.90d3, 4.50d3,      &
   120        & 5.10d3, 5.70d3, 6.30d3, 6.90d3, 7.50d3,      &
   121        & 8.10d3, 8.70d3, 9.30d3, 9.90d3, 10.50d3,     &
   122        & 11.10d3, 11.70d3, 12.35d3, 13.05d3, 13.80d3, &
   123        & 14.65d3, 15.50d3, 16.55d3, 17.70d3, 18.95d3, &
   124        & 20.30d3, 21.80d3                             &
   125        &/)
   126  
   127      Ob_Temp = (/ &
   128        & 299.60d0, 298.72d0, 297.68d0, 296.48d0, 295.13d0, &
   129        & 293.90d0, 292.47d0, 290.90d0, 289.40d0, 287.55d0, &
   130        & 285.45d0, 283.13d0, 280.38d0, 277.25d0, 273.95d0, &
   131        & 270.65d0, 267.35d0, 263.90d0, 260.30d0, 256.55d0, &
   132        & 252.50d0, 248.15d0, 243.50d0, 238.70d0, 233.90d0, &
   133        & 229.10d0, 224.30d0, 219.25d0, 213.85d0, 208.50d0, &
   134        & 203.70d0, 200.55d0, 199.60d0, 201.40d0, 205.15d0, &
   135        & 209.20d0, 212.90d0                                &
   136        & /)
   137  
   138      Ob_Alt2 = (/ &
   139        & 0.00d3, 0.60d3, 1.20d3, 1.80d3, 2.40d3, &
   140        & 3.00d3, 3.60d3, 4.20d3, 4.80d3, 5.40d3, &
   141        & 6.00d3, 6.60d3, 7.20d3, 7.80d3, 8.40d3, &
   142        & 9.00d3, 9.60d3, 10.2d3, 10.8d3, 11.4d3, &
   143        & 12.0d3, 12.7d3, 13.4d3, 14.2d3, 15.1d3, &
   144        & 16.0d3, 17.1d3, 18.3d3, 19.6d3, 21.0d3, 22.6d3 &
   145        & /)
   146  
   147      Ob_Hum = (/ &
   148        & 83.0d-2, 91.0d-2, 95.0d-2, 95.0d-2, 91.0d-2, &
   149        & 85.0d-2, 80.0d-2, 75.0d-2, 71.0d-2, 68.0d-2, &
   150        & 66.0d-2, 65.0d-2, 64.0d-2, 63.0d-2, 62.0d-2, &
   151        & 61.0d-2, 61.0d-2, 62.0d-2, 62.0d-2, 63.0d-2, &
   152        & 63.0d-2, 64.0d-2, 67.0d-2, 74.0d-2, 75.0d-2, &
   153        & 46.0d-2, 26.0d-2,  7.0d-2,  1.0d-2,  0.5d-2,  0.2d-2 &
   154        & /)
   155  
   156      ! 䴰
   157      !
   158      ! Ob_Hum ֤ z_Hum 
   159      ! Ob_Alt(m) < z_Z(k) < Ob_Alt(m+1),
   160      ! Ob_Alt = z_Z(k),
   161      ! Ob_Alt < z_Z(k)
   162      ! 3ĤǾʬ
   163      !
   164      do k = 1, nz
   165        do m = mmin, mmax1 - 1
   166          ! z_Z  Ob_altitude Τ֤˶ޤȤ,
   167          ! ζ֤ Obaltitude(m), Obaltitude(m+1) 
   168          ! ľ Ob_TempZ ֤
   169          if (Ob_Alt1(m) /=  z_Z(k) .AND. z_Z(k) > Ob_Alt1(m) .AND. z_Z(k) < Ob_Alt1(m+1)) then
   170  
   171            z_Temp(k) = Ob_Temp(m) &
   172              & + ( ( Ob_Temp(m+1) - Ob_Temp(m) ) / ( Ob_Alt1(m+1) - Ob_Alt1(m) ) ) &
   173              &   * ( z_Z(k) - Ob_Alt1(m) )
   174  
   175          else if (Ob_Alt1(m) == z_Z(k)) then
   176            z_Temp(k)  = Ob_Temp(m)
   177  
   178          ! z_Z(k) > Ob_altitude Ǥϴ¬ǡ̵Τ絤ˤ
   179          else if (Ob_Alt1(m) < z_Z(k)) then
   180            z_Temp(k)  = z_Temp(k-1)
   181  
   182          end if
   183        end do
     .           z_temp1 = z_temp(k)                                            
     .        z_temp2 = z_temp(k)                                               
     .        z_temp3 = z_temp(k)                                               
     .  !CDIR NODEP                                                             
     .        do m = 1, 36                                                      
     .           if (ob_alt1(m).ne.z_z(k) .and. z_z(k).gt.ob_alt1(m) .and. z_z(k
     .       1      ).lt.ob_alt1(1+m)) then                                     
     .              z_temp1 = ob_temp(m) + (ob_temp(1+m)-ob_temp(m))/(ob_alt1(1+
     .       1         m)-ob_alt1(m))*(z_z(k)-ob_alt1(m))                       
     .           else                                                           
     .              if (ob_alt1(m) .eq. z_z(k)) then                            
     .                 z_temp1 = ob_temp(m)                                     
     .              else                                                        
     .                 if (ob_alt1(m) .lt. z_z(k)) then                         
     .                    z_temp1 = z_temp(k-1)                                 
     .                 endif                                                    
     .              endif                                                       
     .           endif                                                          
     .        end do                                                            
     .        z_temp(k) = z_temp3                                               
     .        z_temp(k) = z_temp2                                               
     .        z_temp(k) = z_temp1                                               
   184      end do
   185  
   186      do k = 1, nz
   187        do m = mmin, mmax2 - 1
   188          if (Ob_Alt2(m) /=  z_Z(k) .AND. z_Z(k) > Ob_Alt2(m) .AND. z_Z(k) < Ob_Alt2(m+1)) then
   189  
   190            z_Hum(k) = Ob_Hum(m) &
   191              & + ( ( Ob_Hum(m+1) - Ob_Hum(m) ) / ( Ob_Alt2(m+1) - Ob_Alt2(m) ) ) &
   192              &   * (z_Z(k) - Ob_Alt2(m))
   193  
   194          else if (Ob_Alt2(m) == z_Z(k)) then
   195            z_Hum(k) = Ob_Hum(m)
   196  
   197          ! z_Z(k) > Ob_altitude Ǥϴ¬ǡ̵Τмٰˤ
   198          else if (Ob_Alt2(m) < z_Z(k)) then
   199            z_Hum(k) = z_Hum(k-1)
   200  
   201          end if
   202        end do
     .        z_hum1 = z_hum(k)                                                 
     .        z_hum2 = z_hum(k)                                                 
     .        z_hum3 = z_hum(k)                                                 
     .  !CDIR NODEP                                                             
     .        do m = 1, 30                                                      
     .           if (ob_alt2(m).ne.z_z(k) .and. z_z(k).gt.ob_alt2(m) .and. z_z(k
     .       1      ).lt.ob_alt2(1+m)) then                                     
     .              z_hum1 = ob_hum(m) + (ob_hum(1+m)-ob_hum(m))/(ob_alt2(1+m)- 
     .       1         ob_alt2(m))*(z_z(k)-ob_alt2(m))                          
     .           else                                                           
     .              if (ob_alt2(m) .eq. z_z(k)) then                            
     .                 z_hum1 = ob_hum(m)                                       
     .              else                                                        
     .                 if (ob_alt2(m) .lt. z_z(k)) then                         
     .                    z_hum1 = z_hum(k-1)                                   
     .                 endif                                                    
     .              endif                                                       
     .           endif                                                          
     .        end do                                                            
     .        z_hum(k) = z_hum3                                                 
     .        z_hum(k) = z_hum2                                                 
     .        z_hum(k) = z_hum1                                                 
   203      end do
   204  
   205      ! 
   206      z_Press = 1.0d-60
   207  
   208      ! ɽ̵Ȳ٤絤ǲؤε
   209      ! ſ尵μ dP/dz = - \rho * g 
   210      z_Press(1) = PressSfc - (Grav * PressSfc * z_dz(1) * 5.0d-1) / (GasRDry * TempSfc)
   211  
   212      ! 絤ǲؤΥ׻
   213      zf_MolFr(1,1) = SvapPress( ID, z_Temp(1)) * z_Hum(1) / z_Press(1)
   214  
   215      ! ٤δܾη׻
   216      do k = 2, nz
   217        z_Press(k) = z_Press(k-1) - (Grav * z_Press(k-1) * z_dz(k-1)) &
   218          & / ( GasRDry * z_Temp(k-1) )
   219  
   220        zf_MolFr(k,1) = SvapPress( ID, z_Temp(k)) * z_Hum(k) / z_Press(k)
   221      end do
   222  
   223    end subroutine INITIALDATA_YAMASAKI1983_basic
   224  
   225  end module Initialdata_yamasaki1983
Linux  R2.6.5-7.282-sn2 FORTRAN90/SX         Rev.360        Tue Oct 11 12:35:26 2011
FILE NAME: initialdata_yamasaki1983.f90
PROGRAM NAME: initialdata_yamasaki1983
FORMAT LIST

  LINE    LOOP     FORTRAN STATEMENT

     1:            != Module BasicEnvInit
     2:            !
     3:            ! Authors::   SUGIYAMA Koichiro, ODAKA Masatsugu
     4:            ! Version::   $Id: initialdata_yamasaki1983.f90,v 1.7 2011-06-25 14:47:29 sugiyama Exp $
     5:            ! Tag Name::  $Name: arare5-20111010 $
     6:            ! Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
     7:            ! License::   See COPYRIGHT[link:../../COPYRIGHT]
     8:            !
     9:            !== Overview 
    10:            !
    11:            !ǥեȤδܾꤹ뤿ѿȷ⥸塼
    12:            !   * BasicEnvFile_init: ܾͤ netCDF ե뤫
    13:            !   * BasicEnvCalc_Init: ܾξ Namelist ͤ׻
    14:            !
    15:            !== Error Handling
    16:            !
    17:            !== Known Bugs
    18:            !
    19:            !== Note
    20:            !
    21:            !== Future Plans
    22:            !
    23:            module initialdata_yamasaki1983
    24:              !
    25:              !ǥեȤδܾꤹ뤿Υ֥롼. 
    26:              !ܾ׻, BasicSet ⥸塼ͤ. 
    27:              !
    28:              !ѥν꤫, ܾ(hogeBasicZ ѿ)
    29:              !׻ʬBasicSet ⥸塼뤫ڤΥƤ. 
    30:              !ECCM Ϥ, BasicSet Τ˰¸뤬 hogeBasicZ  use ʤ
    31:              !֥롼Ѥ뤿Ǥ. 
    32:              !
    33:            
    34:              !⥸塼ɤ߹
    35:              use dc_types,   only: STRING, DP
    36:              use dc_message, only: MessageNotify
    37:              use mpi_wrapper,only: myrank
    38:              use gridset,  only: kmin,          &! Z β
    39:                &                 kmax,          &! Z ξ
    40:                &                 nz,            &! Z ο
    41:                &                 ncmax           !Žʬο
    42:              use axesset, only:  z_Z, z_dz            !顼ʻǤι
    43:              use constants, only:GasRDry,       &!ʬ갵Ǯ
    44:                &                 TempSfc,       &!ɽ̲
    45:                &                 PressSfc,      &!ɽ̰
    46:                &                 PressBasis,    &!ɽ̰
    47:                &                 Grav            !
    48:              use chemcalc, only: SvapPress       !˰¾
    49:              use composition
    50:            
    51:                
    52:              !ۤηػ
    53:              implicit none
    54:            
    55:              !ǥեȤ private
    56:              private
    57:            
    58:              !
    59:              public initialdata_yamasaki1983_basic
    60:            
    61:            contains
    62:            
    63:            !!------------------------------------------------------------------------------!!!
    64:              subroutine initialdata_yamasaki1983_basic( z_Temp, z_Press, zf_MolFr )
    65:                !
    66:                !== 
    67:                !  * Yamasaki, 1983 β٤м٤δ¬ͤǴܾ
    68:                !    * ٤δܾ
    69:                !      * ¬ǡNetCDFե벽Τͤɤ߹
    70:                !        * ɤ߹֤ͤƲ٤δܾ
    71:                !    * ٤δܾ
    72:                !      * м٤ subroutine HUM ǺѤ
    73:                !        * Ǥм٤ѴƼ٤δܾ 
    74:                !    * δܾ
    75:                !      * ʬȴʬʬ̺θſ尵ʿդ׻
    76:                !
    77:            
    78:                implicit none
    79:                
    80:                integer, parameter :: mmin = 1
    81:                integer, parameter :: mmax1 = 37
    82:                integer, parameter :: mmax2 = 31
    83:                integer :: ID = 6    ! ʪֹ
    84:            
    85:                real(DP), intent(out) :: z_Press(kmin:kmax)!
    86:                real(DP), intent(out) :: z_Temp(kmin:kmax) !
    87:                real(DP), intent(out) :: zf_MolFr(kmin:kmax, 1:ncmax) !
    88:                real(DP)              :: Ob_Alt1(mmin:mmax1)    !¬ǡб
    89:                real(DP)              :: Ob_Alt2(mmin:mmax2)    !¬ǡб
    90:                real(DP)              :: Ob_Temp(mmin:mmax1)    !NetCDF ɤ߹δ¬(1)
    91:                real(DP)              :: Ob_Hum(mmin:mmax2)     !м٤δ¬(1)
    92:            
    93:                real(DP)              :: z_Hum(kmin:kmax)        !м٤δܾ(%)
    94:                integer               :: k, m
    95:            
    96:                ! 
    97:                !
    98: V------>       z_Press  = 0.0d0
    99: V------        z_Temp   = 0.0d0
   100: W*=====        zf_MolFr = 0.0d0
   101:            
   102:                ! ǧ. ɽ̲١ϤꤹΤ̥⥸塼ʤΤ. 
   103:                !
   104:                if (myrank == 0) then 
   105:                  if (     PressBasis /= 1010.0d2  &
   106:                    & .OR. PressSfc   /= 1010.0d2  &
   107:                    & .OR. TempSfc    /= 302.0d0  ) then 
   108:                    
   109:                    call MessageNotify( "E", "initaldata_yamasaki1983_init", &
   110:                      & "Constants are wrong. please PressSfc = 1.01d5, TempSfc = 302.0d0")
   111:                  end if
   112:                end if
   113:            
   114:                ! ¬ǡ. 
   115:                !
   116: V------>       Ob_Alt1 = (/ &
   117: |                & 0.05d3, 0.16d3, 0.29d3, 0.44d3, 0.61d3,      &
   118: |                & 0.80d3, 1.02d3, 1.28d3, 1.58d3, 1.95d3,      &
   119: |                & 2.37d3, 2.82d3, 3.33d3, 3.90d3, 4.50d3,      &
   120: |                & 5.10d3, 5.70d3, 6.30d3, 6.90d3, 7.50d3,      &
   121: |                & 8.10d3, 8.70d3, 9.30d3, 9.90d3, 10.50d3,     &
   122: |                & 11.10d3, 11.70d3, 12.35d3, 13.05d3, 13.80d3, &
   123: |                & 14.65d3, 15.50d3, 16.55d3, 17.70d3, 18.95d3, &
   124: |                & 20.30d3, 21.80d3                             &
   125: |                &/)
   126: |          
   127: V------        Ob_Temp = (/ &
   128:                  & 299.60d0, 298.72d0, 297.68d0, 296.48d0, 295.13d0, &
   129:                  & 293.90d0, 292.47d0, 290.90d0, 289.40d0, 287.55d0, &
   130:                  & 285.45d0, 283.13d0, 280.38d0, 277.25d0, 273.95d0, &
   131:                  & 270.65d0, 267.35d0, 263.90d0, 260.30d0, 256.55d0, &
   132:                  & 252.50d0, 248.15d0, 243.50d0, 238.70d0, 233.90d0, &
   133:                  & 229.10d0, 224.30d0, 219.25d0, 213.85d0, 208.50d0, &
   134:                  & 203.70d0, 200.55d0, 199.60d0, 201.40d0, 205.15d0, &
   135:                  & 209.20d0, 212.90d0                                &
   136:                  & /)
   137:            
   138: V------>       Ob_Alt2 = (/ &
   139: |                & 0.00d3, 0.60d3, 1.20d3, 1.80d3, 2.40d3, &
   140: |                & 3.00d3, 3.60d3, 4.20d3, 4.80d3, 5.40d3, &
   141: |                & 6.00d3, 6.60d3, 7.20d3, 7.80d3, 8.40d3, &
   142: |                & 9.00d3, 9.60d3, 10.2d3, 10.8d3, 11.4d3, &
   143: |                & 12.0d3, 12.7d3, 13.4d3, 14.2d3, 15.1d3, &
   144: |                & 16.0d3, 17.1d3, 18.3d3, 19.6d3, 21.0d3, 22.6d3 &
   145: |                & /)
   146: |          
   147: V------        Ob_Hum = (/ &
   148:                  & 83.0d-2, 91.0d-2, 95.0d-2, 95.0d-2, 91.0d-2, &
   149:                  & 85.0d-2, 80.0d-2, 75.0d-2, 71.0d-2, 68.0d-2, &
   150:                  & 66.0d-2, 65.0d-2, 64.0d-2, 63.0d-2, 62.0d-2, &
   151:                  & 61.0d-2, 61.0d-2, 62.0d-2, 62.0d-2, 63.0d-2, &
   152:                  & 63.0d-2, 64.0d-2, 67.0d-2, 74.0d-2, 75.0d-2, &
   153:                  & 46.0d-2, 26.0d-2,  7.0d-2,  1.0d-2,  0.5d-2,  0.2d-2 &
   154:                  & /)
   155:            
   156:                ! 䴰
   157:                !
   158:                ! Ob_Hum ֤ z_Hum 
   159:                ! Ob_Alt(m) < z_Z(k) < Ob_Alt(m+1),
   160:                ! Ob_Alt = z_Z(k),
   161:                ! Ob_Alt < z_Z(k)
   162:                ! 3ĤǾʬ
   163:                !
   164: +------>       do k = 1, nz
   165: |V----->         do m = mmin, mmax1 - 1
   166: ||                 ! z_Z  Ob_altitude Τ֤˶ޤȤ,
   167: ||                 ! ζ֤ Obaltitude(m), Obaltitude(m+1) 
   168: ||                 ! ľ Ob_TempZ ֤
   169: ||                 if (Ob_Alt1(m) /=  z_Z(k) .AND. z_Z(k) > Ob_Alt1(m) .AND. z_Z(k) < Ob_Alt1(m+1)) then
   170: ||         
   171: ||                   z_Temp(k) = Ob_Temp(m) &
   172: ||                     & + ( ( Ob_Temp(m+1) - Ob_Temp(m) ) / ( Ob_Alt1(m+1) - Ob_Alt1(m) ) ) &
   173: ||                     &   * ( z_Z(k) - Ob_Alt1(m) )
   174: ||                   
   175: ||                 else if (Ob_Alt1(m) == z_Z(k)) then
   176: ||                   z_Temp(k)  = Ob_Temp(m)
   177: ||         
   178: ||                 ! z_Z(k) > Ob_altitude Ǥϴ¬ǡ̵Τ絤ˤ          
   179: ||                 else if (Ob_Alt1(m) < z_Z(k)) then
   180: ||                   z_Temp(k)  = z_Temp(k-1)
   181: ||                   
   182: ||                 end if
   183: |V-----          end do
   184: +------        end do
   185:            
   186: +------>       do k = 1, nz
   187: |V----->         do m = mmin, mmax2 - 1 
   188: ||                 if (Ob_Alt2(m) /=  z_Z(k) .AND. z_Z(k) > Ob_Alt2(m) .AND. z_Z(k) < Ob_Alt2(m+1)) then
   189: ||         
   190: ||                   z_Hum(k) = Ob_Hum(m) &
   191: ||                     & + ( ( Ob_Hum(m+1) - Ob_Hum(m) ) / ( Ob_Alt2(m+1) - Ob_Alt2(m) ) ) &
   192: ||                     &   * (z_Z(k) - Ob_Alt2(m))
   193: ||                   
   194: ||                 else if (Ob_Alt2(m) == z_Z(k)) then
   195: ||                   z_Hum(k) = Ob_Hum(m)
   196: ||         
   197: ||                 ! z_Z(k) > Ob_altitude Ǥϴ¬ǡ̵Τмٰˤ 
   198: ||                 else if (Ob_Alt2(m) < z_Z(k)) then
   199: ||                   z_Hum(k) = z_Hum(k-1)
   200: ||         
   201: ||                 end if
   202: |V-----          end do
   203: +------        end do
   204:            
   205:                ! 
   206: V======        z_Press = 1.0d-60
   207:            
   208:                ! ɽ̵Ȳ٤絤ǲؤε
   209:                ! ſ尵μ dP/dz = - \rho * g 
   210:                z_Press(1) = PressSfc - (Grav * PressSfc * z_dz(1) * 5.0d-1) / (GasRDry * TempSfc)
   211:            
   212:                ! 絤ǲؤΥ׻
   213:                zf_MolFr(1,1) = SvapPress( ID, z_Temp(1)) * z_Hum(1) / z_Press(1)
   214:                
   215:                ! ٤δܾη׻
   216: +------>       do k = 2, nz
   217: |                z_Press(k) = z_Press(k-1) - (Grav * z_Press(k-1) * z_dz(k-1)) &
   218: |                  & / ( GasRDry * z_Temp(k-1) )
   219: |                
   220: |                zf_MolFr(k,1) = SvapPress( ID, z_Temp(k)) * z_Hum(k) / z_Press(k) 
   221: +------        end do
   222:            
   223:              end subroutine INITIALDATA_YAMASAKI1983_basic
   224:            
   225:            end module Initialdata_yamasaki1983
